#!/usr/bin/perl

use strict ;
use warnings ;

while (my $line = readline(STDIN))
{
    chomp $line ;
    my @F = split(/;/,$line) ;
    for (my $i=3 ; $i<=$#F-1 ; ++$i)
    {
	if ($F[$i] ne '')
	{
	    for (my $j=$i+1 ; $j<=$#F ; ++$j)
	    {
		$F[$j] = ''
		    if $F[$i] eq $F[$j] ;
	    }
	}
    }
    print join(';',@F), "\n" ;
}
die("error: readline failed:$!")
    if !eof(STDIN) ;
